import { UserAppData } from '../../types'
import * as ActionTypes from '../actionTypes'
import { RestoreState } from '../actions'

export interface UpdateUserAppData {
  type: typeof ActionTypes.UPDATE_USER_APP_DATA
  payload: UserAppData
}

export interface UpdateProcessedGiftWraps {
  type: typeof ActionTypes.UPDATE_PROCESSED_GIFT_WRAPS
  payload: string[]
}

export type UserAppDataDispatchTypes =
  | UpdateUserAppData
  | UpdateProcessedGiftWraps
  | RestoreState
