import { Button, TextField } from '@mui/material'

export const Register = () => {
  // TODO: All fields, buttons are disabled
  // Feature not implemented
  return (
    <>
      <TextField
        label="Email"
        placeholder="Your email address"
        fullWidth
        margin="dense"
        autoComplete="username"
        disabled
        sx={{
          input: {
            cursor: 'not-allowed'
          }
        }}
      />
      <TextField
        label="Password"
        placeholder="Your password"
        fullWidth
        margin="dense"
        type="password"
        autoComplete="new-password"
        disabled
        sx={{
          input: {
            cursor: 'not-allowed'
          }
        }}
      />
      <TextField
        label="Confirm password"
        placeholder="Re-type your password"
        fullWidth
        margin="dense"
        type="password"
        autoComplete="new-password"
        disabled
        sx={{
          input: {
            cursor: 'not-allowed'
          }
        }}
      />

      <Button variant="contained" fullWidth disabled>
        Register
      </Button>
    </>
  )
}
