import { UserAppData } from '../../types'
import * as ActionTypes from '../actionTypes'
import { UpdateProcessedGiftWraps, UpdateUserAppData } from './types'

export const updateUserAppData = (payload: UserAppData): UpdateUserAppData => ({
  type: ActionTypes.UPDATE_USER_APP_DATA,
  payload
})

export const updateProcessedGiftWraps = (
  payload: string[]
): UpdateProcessedGiftWraps => ({
  type: ActionTypes.UPDATE_PROCESSED_GIFT_WRAPS,
  payload
})
